Bug 534030 - wxHTML Rendering Table Bug #10370
Summary: wxHTML Rendering Table Bug #10370
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL: http://trac.wxwidgets.org/ticket/10370
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-10 09:43 UTC by J
Modified: 2009-11-24 07:56 UTC (History)
3 users (show)

Fixed In Version: 2.8.10-7.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:39:07 UTC


Attachments (Terms of Use)

Description J 2009-11-10 09:43:17 UTC
Description of problem:
Version 2.8.10-x of wxBase currently on Fedora 11 and 12 has bug #10370. The bug has been reported #10370 on the wx trac and a patch proposed. The patch can be back ported to all 2.8.x version. The current 2.8.11 version has the patch as does the svn.

To paraphrase the bug:
"""
After tables nested within a table cell, wxHTML renders content after the outer table within the last table cell.
"""
Basically when nested tables are created the information which should be located outside of the nested tables ends up within the last cell.

Version-Release number of selected component (if applicable): 2.8.10-x


How reproducible:
Present in code so always present when rendering nested tables using wxHTML.

Steps to Reproduce:
Please may I refer to the original bug http://trac.wxwidgets.org/ticket/10370
  
Actual results:
As above

Expected results:
As above

Additional info:
It would be nice if the patch could be ported into the Fedora 2.8.10-x builds until Fedora switches to 2.8.11 and will natively have that patch.

Comment 1 Fedora Update System 2009-11-10 13:46:27 UTC
wxGTK-2.8.10-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wxGTK-2.8.10-5.fc11

Comment 2 Fedora Update System 2009-11-10 13:46:32 UTC
wxGTK-2.8.10-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wxGTK-2.8.10-5.fc10

Comment 3 Fedora Update System 2009-11-10 13:46:36 UTC
wxGTK-2.8.10-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wxGTK-2.8.10-7.fc12

Comment 4 J 2009-11-10 19:49:09 UTC
The wxGTK-2.8.10-5.fc11 packages have resolved this bug under Fedora 11 and can be considered closed for me!

Comment 5 Dan Horák 2009-11-10 19:59:15 UTC
John, thanks for testing, but please don't close the bug manually, it will be closed automatically by the system when the update will be pushed out as official update.

Comment 6 J 2009-11-10 22:47:24 UTC
Sorry, first bug that has actually been fixed for me normally they linger around forever or end up as being duplicated. Very impressed.

Comment 7 Fedora Update System 2009-11-11 14:56:06 UTC
wxGTK-2.8.10-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11316

Comment 8 Fedora Update System 2009-11-11 14:57:49 UTC
wxGTK-2.8.10-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11337

Comment 9 Fedora Update System 2009-11-11 15:03:23 UTC
wxGTK-2.8.10-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11366

Comment 10 Fedora Update System 2009-11-24 07:39:01 UTC
wxGTK-2.8.10-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-24 07:51:09 UTC
wxGTK-2.8.10-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-24 07:56:04 UTC
wxGTK-2.8.10-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.